| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DNNModelManager Class Reference
Inheritance diagram for Digikam::DNNModelManager:

## Public Member Functions
const QList< DownloadInfo > & | getDownloadInformation (DNNModelUsage usage)
| Used by the filesdownload to get a stream containing the files and information to download.
DNNModelBase * | getModel (const QString &modelName, DNNModelUsage usage) const
| Retrieve a DNNModelBase pointer by name.
const QList< QPair< QString, QStringList > > | getModelList (DNNModelUsage usage)
| Get a list of models that can be used for a specific usage.

## Static Public Member Functions
static DNNModelManager * | instance ()
| Global instance of internal model manager.

## Member Function Documentation

## ◆ getModel()

DNNModelBase * Digikam::DNNModelManager::getModel | ( | const QString & | modelName,
|  | DNNModelUsage | usage
| ) |  | const

This will load and create the model on first use. It will also find the best OpenCV Target and Backend for the model based on computer capabilities.

Returns
  nullptr if 'modelName' cannot be found.

## ◆ instance()

DNNModelManager * Digikam::DNNModelManager::instance | ( |  | ) |
| static

All accessor methods are thread-safe.